# Uses of Interface
org.jsoup.helper.Consumer

Packages that use Consumer
Package
Description
org.jsoup.nodes
HTML document structure nodes.

## Uses of Consumer in org.jsoup.nodes

Methods in org.jsoup.nodes with parameters of type Consumer
Modifier and Type
Method
Description
`Element`
Element.`forEach(Consumer<? super Element> action)`
Perform the supplied action on this Element and each of its descendant Elements, during a depth-first traversal.
`Element`
Element.`forEachNode(Consumer<? super Node> action)`
`Node`
Node.`forEachNode(Consumer<? super Node> action)`
Perform the supplied action on this Node and each of its descendants, during a depth-first traversal.